package com.github.wxiaoqi.security.admin.rest;

import com.github.wxiaoqi.security.admin.entity.UserComment;
import com.github.wxiaoqi.security.auth.client.annotation.IgnoreUserToken;
import com.github.wxiaoqi.security.common.msg.ObjectRestResponse;
import com.github.wxiaoqi.security.common.rest.BaseController;
import com.github.wxiaoqi.security.admin.biz.ReportCommentBiz;
import com.github.wxiaoqi.security.admin.entity.ReportComment;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


@RestController
@RequestMapping("app/reportComment")
@Api(tags = {"评论举报"})
public class AppReportCommentController extends BaseController<ReportCommentBiz, ReportComment> {

    @PostMapping("/app/unauth/saveReport")
    @ApiModelProperty("评论举报")
    @IgnoreUserToken
    public ObjectRestResponse saveReport(@RequestBody ReportComment reportComment) {
        reportComment.setUserId(getCurrentUserIdInt());
        return baseBiz.saveReport(reportComment);
    }
}